use crate::enums::{ExternalPortType, InternalPortType, MeAvailability, SourceAvailability};

#[derive(Clone, PartialEq, Getters, new)]
pub struct InputChannel {
    input_id: u64,
    pub long_name: String,
    pub short_name: String,
    are_names_default: bool,
    external_ports: Vec<ExternalPortType>,
    pub external_port_type: ExternalPortType,
    internal_port_type: InternalPortType,
    source_availability: SourceAvailability,
    me_availability: MeAvailability,
}
